niiyan/2006-01-14

最新版のffavisynthはCプラグイン

  • ffdshowに同梱されているffavisynthプラグインの最新版では、C言語が使われているそうです。このため、LoadPluginではなく、LoadCPluginを使う必要があるとのこと。

    ffavisynth.dll for AviSynth 255 ? - Doom9's Forum

    You guys need to load the plugin externally with LoadCPlugin


    All newer versions of ffavisynth use C as their language.

  • 実際に試してみたところ、たしかにプラグインのオートローディングとLoadPluginでは読み込むことができませんでした。
  • LoadCPluginの使用例は以下の通り:
    LoadCPlugin("C:\Program Files\AviSynth 2.5\plugins\ffavisynth.dll")
    ffdshow("default")
    
  • 2005-12-21版は、設定画面でフィルタを選択しようとすると、エラーが出て強制終了するのですが・・・。
    ffdshow_config_error.png

ffdshowの日本語化を更新

  • 少し前からffdshowの日本語化パッチの仕様が変更になっています。これにあわせて、ffdshowの日本語化を更新しました。説明用に使用したのは、「ffdshow (Nov 15 2005) 日本語化キット 第1版 (2005.11.15作成)」です。
最終更新日時: 2014-03-11 (火) 03:50:11 (2308d)